/*
 * Class BILINEAR [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_459 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_459 [] = {0xFF01,237,458,212,0xFFFF};
static const EIF_TYPE_INDEX egt_2_459 [] = {0xFF01,458,212,0xFFFF};
static const EIF_TYPE_INDEX egt_3_459 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_459 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_459 [] = {0xFF01,458,212,0xFFFF};
static const EIF_TYPE_INDEX egt_6_459 [] = {0xFF01,458,212,0xFFFF};
static const EIF_TYPE_INDEX egt_7_459 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_459 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_459 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_459 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_459 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_459 [] = {458,212,0xFFFF};
static const EIF_TYPE_INDEX egt_13_459 [] = {0xFF01,458,212,0xFFFF};
static const EIF_TYPE_INDEX egt_14_459 [] = {0xFF01,444,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_459 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_459 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_459 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_459[] = {
	{EIF_GENERIC(NULL), 2472, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_459), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_459), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_459), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_459), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_459), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_459), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_459), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_459), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_459), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_459), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_459), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_459), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_459), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_459), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1871, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1873, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1874, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_459), 2336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_459), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2326, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2471, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2328, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_459), 2329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_459), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2332, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2327, 0xFFFFFFFF},
};
void Init459(void)
{
	IDSC(desc_459, 0, 458);
	IDSC(desc_459 + 1, 1, 458);
	IDSC(desc_459 + 32, 77, 458);
	IDSC(desc_459 + 41, 155, 458);
	IDSC(desc_459 + 50, 30, 458);
	IDSC(desc_459 + 57, 294, 458);
}


#ifdef __cplusplus
}
#endif
